## yada 0.47bpo1

=== debian/changelog ===
yada (0.47bpo1) sarge-backports; urgency=low

  * Recompile for backports.org

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 18:03:16 -0400

yada (0.48) unstable; urgency=medium

  * Generate "Depends: debconf (>= 0.2.26) | debconf-2.0" to make lintian
    happy.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 28 Sep 2005 12:13:18 +0200

yada (0.47) unstable; urgency=medium

  * Generate "Depends: debconf | cdebconf | debconf-2.0" if the Debconf
    is used.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 26 Sep 2005 16:51:16 +0200

yada (0.46) unstable; urgency=medium

  * Do not generate VERSION variable for init scripts. This value
    changes frequently so it shouldn't be set automatically.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 26 Sep 2005 10:45:56 +0200

yada (0.45) unstable; urgency=medium

  * Change file names for cron scripts. Replace forbidden characters with
    '-' sign.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 24 Sep 2005 10:56:35 +0200

yada (0.44) unstable; urgency=medium

  * Generate debconf header for preinst and prerm scripts.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 13 Sep 2005 23:19:12 +0200

yada (0.43) unstable; urgency=medium

  * Generate correct ${VERSION} variable in build script.
  * Standards-Version: 3.6.2
  * New FSF address in copyright file.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 12 Sep 2005 14:06:55 +0200

yada (0.42) unstable; urgency=medium

  * Fix last modification and bug which appears in generated debian/control
    file.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 22 Aug 2005 17:12:35 +0200

yada (0.41) unstable; urgency=low

  * Speed up the process of parsing the macros.
  * Fix typo in generated debian/rules so version number is correctly
    recognized.
  * Allow to nest the macros.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 18 Aug 2005 10:58:03 +0200

yada (0.40) unstable; urgency=low

  * Do not call ucf on purge if not exists.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  9 Aug 2005 15:22:26 +0200

yada (0.39) unstable; urgency=low

  * Remove a few bashisms.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  4 Aug 2005 10:58:08 +0200

yada (0.38) unstable; urgency=low

  * debian/yada:
    - Fix `yada symlink -man': do not use long path if source and destination
      is in the same directory, can do a few symlinks at the time.
    - Fix `yada move': the same as `yada copy' syntax.
    - New command `yada rename'.
    - Generate debian/po/POTFILES.in if missing.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  2 Aug 2005 11:27:11 +0200

yada (0.37) unstable; urgency=low

  * debian/yada:
    - Introduces DEB_HOST_*, DEB_BUILD_*, with_*, without_* special macros.
    - Replace $(buildarch) with $(hostarch) in generated debian/rules.
    - Detect amd64 CPU with old dpkg-architecture.
    - Unexisting macro is not critical error, just warning.
    - Generate Build-Depends field based on YADA_VERSION environment variable.
    - New field Cron-Hourly for /etc/cron.hourly cron script.
    - Correct file path to yada.txt in generated packages file.
      Closes: #309151,
  * po/vi.po:
    - Vietnamese Debconf translation. Closes: #310060.
  * doc/yada.xml:
    - Documentation converted from LyX format to XML DocBook.
    - Describes new features.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 14 Jul 2005 13:55:17 +0200

yada (0.36) unstable; urgency=medium

  * debian/yada:
    - Call `ldconfig' in postrm if Contains: libs.

 -- Piotr Roszatycki <dexter@debian.org>  Sat,  9 Jul 2005 20:56:36 +0200
