=== debian/control ===
Source: yada
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.6.2
Build-Depends: file, patch, perl, po-debconf
Build-Depends-Indep: file, patch, perl, po-debconf

Package: yada
Architecture: all
Depends: dpkg-dev, file, patch, perl
Recommends: yada-doc
Suggests: bzip2
Conflicts: yada-doc (<< 0.26.0.1)
Replaces: yada-doc (<< 0.26.0.1)
Description: Yet Another Debianisation Aid
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 This package provides YADA tool.

Package: yada-doc
Architecture: all
Suggests: yada
Conflicts: yada (<< 0.16)
Description: Yet Another Debianisation Aid - documentation and examples
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 This package provides documentation for YADA and some examples of
 debian/packages files.
