## yada 0.52

=== debian/changelog ===
yada (0.52) unstable; urgency=low

  * debian/yada:
    - Do not make cyclic dependencies if the package contains shared library
      and binary in the same package.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  8 Dec 2006 12:57:34 +0100

yada (0.51) unstable; urgency=low

  * Only conditionally include debconf confmodule in postrm.
    Thanks Thijs Kinkhorst for patch. Closes: #398850.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 16 Nov 2006 03:10:01 +0100

yada (0.50) unstable; urgency=low

  * debian/yada:
    - Sort packages in debian/rules in the same order as in debian/control.
      The proper order has meaning for i.e. dpkg-shlibdeps when the first
      binary package provides a shared library.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 15 Nov 2006 13:02:22 +0100

yada (0.49) unstable; urgency=low

  * debian/packages:
    - Standards-Version: 3.7.2
  * debian/yada:
    - Build-Arch is called before Build-Indep.
    - New option `yada install -lang' for manpages. Closes: #366130.
    - Modified `yada install -script' option. It is now synonim for
      `yada install -unstripped' if other file type was used (i.e. game, lib,
      sbin, cgi).
    - Add YADA only to Build-Depends field. Closes: #312389.
    - Install menu files in /usr/share/menu.
    - Call update-menus and install-docs on configure in postinst script.
    - Use `which command` than /usr/bin/command in debian/{pre,post}{inst,rm}
      scripts.
    - Use xfonts-utils package for "Contains: xfonts". Closes: #362493, #312388.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  9 Nov 2006 13:19:02 +0100
