=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Piotr Roszatycki <dexter@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends: file, patch, perl, po-debconf
-Build-Depends-Indep: file, patch, perl, po-debconf
 
 Package: yada
 Architecture: all
