=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.48, of Wed, 28 Sep 2005
+# by yada v0.52, of Fri,  8 Dec 2006
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -116,7 +116,7 @@
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
 	echo -E 'echo test before-build';\
-	echo -E 'for pod in man/*.pod; do';\
+	echo -E 'for pod in man/*.pod man/*/*.pod; do';\
 	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
 	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
 	echo -E 'done';\
@@ -131,7 +131,7 @@
 	perl debian/yada patch "debian/patches/*.diff"
 	touch debian/build-arch-stamp
 
-debian/build-indep-stamp:
+debian/build-indep-stamp: debian/build-arch-stamp
 	@[ -f debian/yada -a -f debian/rules ]
 	perl debian/yada patch "debian/patches/*.diff"
 	touch debian/build-indep-stamp
@@ -139,23 +139,23 @@
 .PHONY: install-tree
 install-tree: install-tree-any
 install-tree-any: \
-	debian/tmp-yada-doc/DEBIAN/control \
-	debian/tmp-yada/DEBIAN/control
-
-debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada-doc
-	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
-	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
+	debian/tmp-yada/DEBIAN/control \
+	debian/tmp-yada-doc/DEBIAN/control
+
+debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
+	rm -rf debian/tmp-yada
+	umask 022 && install -d debian/tmp-yada/DEBIAN
+	install -d debian/tmp-yada/usr/share/doc/yada
 	umask 022; perl debian/yada generate copyright \
-	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
+	  > debian/tmp-yada/usr/share/doc/yada/copyright
 	install -m 644 -p debian/changelog \
-	  debian/tmp-yada-doc/usr/share/doc/yada-doc/changelog
+	  debian/tmp-yada/usr/share/doc/yada/changelog
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
+	  && export ROOT="$$(pwd)/debian/tmp-yada" \
 	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
-	  && export PACKAGE="yada-doc" \
+	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
+	  && export PACKAGE="yada" \
 	  && export SOURCE="yada" \
 	  && export VERSION="$(VERSION)" \
 	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
@@ -165,18 +165,19 @@
 	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
-	echo -E 'yada install -doc doc/yada.txt doc/yada.pdf debian/*.syntax';\
-	echo -E 'yada install -doc -subdir examples examples/*';\
-	echo -E 'yada install -doc -subdir examples/yada debian/packages debian/packages.* debian/patches/*.diff';\
-	echo -E 'echo test "?" ok';\
-	echo -E 'echo test "!?" ok';\
-	echo -E 'echo echo line 1  echo line 2') | /bin/sh
+	echo -E 'yada install -script debian/yada';\
+	echo -E 'yada install -man man/yada.1';\
+	echo -E 'yada install -man man/packages.7';\
+	echo -E 'for lang in pl; do';\
+	echo -E '    yada install -man -lang $$lang man/$$lang/yada.1';\
+	echo -E '    yada install -man -lang $$lang man/$$lang/packages.7';\
+	echo -E 'done') | /bin/sh
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
+	  && export ROOT="$$(pwd)/debian/tmp-yada" \
 	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
-	  && export PACKAGE="yada-doc" \
+	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
+	  && export PACKAGE="yada" \
 	  && export SOURCE="yada" \
 	  && export VERSION="$(VERSION)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
@@ -184,18 +185,19 @@
 	echo -E 'yada python';\
 	echo -E 'yada strip';\
 	echo -E 'yada shlibdeps') | /bin/sh
-	perl debian/yada compress yada-doc
-	perl debian/yada generate maintscripts yada-doc
-	find debian/tmp-yada-doc -type f -print \
-	  | sed -n 's/^debian\/tmp-yada-doc\(\/etc\/.*\)$$/\1/p' \
-	  > debian/tmp-yada-doc/DEBIAN/conffiles
-	test -s debian/tmp-yada-doc/DEBIAN/conffiles || rm -f debian/tmp-yada-doc/DEBIAN/conffiles
+	perl debian/yada compress yada
+	perl debian/yada generate maintscripts yada
+	find debian/tmp-yada -type f -print \
+	  | sed -n 's/^debian\/tmp-yada\(\/etc\/.*\)$$/\1/p' \
+	  > debian/tmp-yada/DEBIAN/conffiles
+	test -s debian/tmp-yada/DEBIAN/conffiles || rm -f debian/tmp-yada/DEBIAN/conffiles
 	perl debian/yada rebuild control
-	perl debian/yada generate substvars yada-doc
-	umask 022 && dpkg-gencontrol -isp -pyada-doc -Pdebian/tmp-yada-doc
-
-debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada
-	umask 022 && install -d debian/tmp-yada/DEBIAN
-	install -d debian/tmp-yada/usr/share/doc/yada
+	perl debian/yada generate substvars yada
+	umask 022 && dpkg-gencontrol -isp -pyada -Pdebian/tmp-yada
+
+debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
+	rm -rf debian/tmp-yada-doc
+	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
+	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
 	umask 022; perl debian/yada generate copyright \
+	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
