## yada 0.53

=== debian/changelog ===
yada (0.53) unstable; urgency=medium

  * debian/yada:
    - Do not use Debconf in postrm if it is not available. It fixes serious
      bug. Closes: #417739.
    - Fixed typo for handling of Menu and Doc-Base fields. update-menus and
      install-docs wasn't being called on configure and remove scripts.
      Closes: #419878.
  * debian/packages:
    - Convert Polish manpages from utf-8 to iso8859-2 as far as Debian's Groff
      has completly broken UTF8 support. The source POD files are still UTF8.
      Closes: #406052.
  * doc:
    - Fixed typo.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  4 May 2007 18:43:10 +0200
