=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.52, of Fri,  8 Dec 2006
+# by yada v0.53, of Fri,  4 May 2007
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -116,8 +116,13 @@
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
 	echo -E 'echo test before-build';\
-	echo -E 'for pod in man/*.pod man/*/*.pod; do';\
+	echo -E 'for pod in man/*.pod; do';\
 	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
+	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
+	echo -E 'done';\
+	echo -E 'for pod in man/pl/*.pod; do';\
+	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
+	echo -E '        | iconv -f utf-8 -t iso8859-2 \';\
 	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
 	echo -E 'done';\
 	echo -E '# New entry Package maintainer'\''s commands follow';\
@@ -195,9 +200,3 @@
 	perl debian/yada generate substvars yada
 	umask 022 && dpkg-gencontrol -isp -pyada -Pdebian/tmp-yada
 
-debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada-doc
-	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
-	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
-	umask 022; perl debian/yada generate copyright \
-	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
