## yada 0.54

=== doc/Makefile ===
# Makefile for generating text file from LyX source

all:	yada.txt yada.pdf

yada.txt: yada.html
	elinks -dump -no-references 1 -no-numbering 1 $< > $@

yada.html: yada.xml
	docbook2html -u $<
	tidy -q -asxhtml -bci -m $@ || test $$? != 2

yada.pdf: yada.xml
	docbook2pdf $<

clean:
	rm -f *.html *.tex *.tmp *.lyx *~

distclean: clean
	rm -f *.txt *.pdf
