=== debian/changelog ===
yada (0.54) unstable; urgency=low

  * debian/yada:
    - New field Homepage replaces Home-Page. The field is available for source
      and binary paragraphs. Closes: #446815.
    - New fields for source paragraph: Format, Vcs-*.
    - New fields for binary paragraph: Tag, Breaks.
    - New architectures: armeb, armel, kfreebsd-amd64, lpia, solaris-amd64,
      solaris-i386, solaris-sparc.
    - Print copyright info only with --version argument.
    - Do not put dot after homepage URL in copyright file.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 28 Oct 2007 19:10:13 +0100
