=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Priority: optional
 Standards-Version: 3.7.2
 Build-Depends: file, patch, perl, po-debconf
+Homepage: http://yada.alioth.debian.org/
+Vcs-Browser: http://svn.debian.org/wsvn/yada
+Vcs-Svn: svn://svn.debian.org/yada/
 
 Package: yada
 Architecture: all
@@ -17,7 +20,10 @@
  debian/packages, in a source package, and generates an appropriate
  debian/rules to control building of the package.
  .
- This package provides YADA tool.
+ This package provides YADA script.
+ .
+ The /usr/bin/yada script can be also copied as source package's debian/yada
+ file if this package won't be available on system for package building.
 
 Package: yada-doc
 Architecture: all
