=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.53, of Fri,  4 May 2007
+# by yada v0.54, of Sun, 28 Oct 2007
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -151,7 +151,7 @@
 	rm -rf debian/tmp-yada
 	umask 022 && install -d debian/tmp-yada/DEBIAN
 	install -d debian/tmp-yada/usr/share/doc/yada
-	umask 022; perl debian/yada generate copyright \
+	umask 022; perl debian/yada generate copyright yada \
 	  > debian/tmp-yada/usr/share/doc/yada/copyright
 	install -m 644 -p debian/changelog \
 	  debian/tmp-yada/usr/share/doc/yada/changelog
