## yada 0.55

=== debian/changelog ===
yada (0.55) unstable; urgency=low

  * debian/yada:
    - Use "date -R" rather than 822-date. Closes: #531837.
    - %if macro takes non-numeric non-empty string as a true value.
      Closes: #505758.
    - Support more common licenses in Copyright field.
    - Support avr32 architecture as part of linux architecture.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 19 Dec 2009 23:38:40 +0100
